Build Error: "[exp] There was an error publishing your project. Please check for any warnings."

#1

Hi. I’m getting this message when I try to build. I have no any warnings. How I can fix this error?

[exp] Starting build process...
[exp] Unable to find an existing exp instance for this directory, starting a new one...
[exp] Warning: You are using npm version 5.6.0. There may be bugs in this version, use it at your own risk. We recommend version 4.6.1.
[exp] Starting React Native packager...
[exp] Scanning folders for symlinks in /Users/aram/Desktop/dpmapp/app/node_modules (16ms)
[exp] Loading dependency graph.
[exp] Running packager on port 19001.
[exp] Tunnel connected.
[exp] Dependency graph loaded.
[exp] Publishing...
[exp] Warning: You are using npm version 5.6.0. There may be bugs in this version, use it at your own risk. We recommend version 4.6.1.
[exp] Building iOS bundle
[exp] Finished building JavaScript bundle in 29050ms.
[exp] Building Android bundle
[exp] Finished building JavaScript bundle in 32002ms.
[exp] Analyzing assets
[exp] Finished building JavaScript bundle in 26504ms.
[exp] Finished building JavaScript bundle in 36467ms.
[exp] Uploading assets
[exp] No assets changed, skipped.
[exp] Uploading JavaScript bundles
[exp] There was an error publishing your project. Please check for any warnings.
[exp] Set EXPO_DEBUG=true in your env to view the stack trace.

1 Like
#2

I also fixed the npm warning but the error continue to appear. Also how I can set EXPO_DEBUG=true? where?

#3

first be on the latest version of exp, npm i -g exp,

What command are you running exactly?

To set an environment variable, type in shell: export EXPO_DEBUG=true

1 Like
#4

Yes. I use the latest version of exp (47.4.4).
Now I enabled the debug and got this message:

[exp] Error: There was an error publishing your project. Please check for any warnings.
    at Object.<anonymous> (/xdl/src/Project.js:363:11)
    at Generator.throw (<anonymous>)
    at step (/usr/local/lib/node_modules/exp/node_modules/xdl/build/Project.js:1681:191)
    at /usr/local/lib/node_modules/exp/node_modules/xdl/build/Project.js:1681:402
    at <anonymous>
    at process._tickCallback (internal/process/next_tick.js:188:7)

#5

I am having same problem!

Please help!

#6

I solved my issue with rollback to an old exp version. you can do it by npm install exp@45.0.2 -g

1 Like
#7

That stinks, we aren’t logging enough information to easily diagnose the error. We’ll change that code to add more details about the problem and keep investigating. In the meantime you can continue using 45.0.2. Do you have a build id we could look at?

@dooboolab, just in case your situation is different, could you also repeat the steps edgar gave?

  • Run npm install -g exp to be sure you’re on the latest version.
  • Tell us exactly what command you’re running.
  • Run export EXPO_DEBUG=true and try that command again.
closed #8

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.